interactions:
- request:
    body: '{"apiVersion": "v1", "kind": "Namespace", "metadata": {"name": "tool-test-account-normal"}}'
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: POST
    uri: https://10.96.0.1/api/v1/namespaces
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669570","creationTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - 8bdd67ca-e35f-4228-91d5-c13dafdf30ce
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:46 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669570","creationTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - 45dca7b4-1ab4-486e-811a-6a0c56d025ce
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:46 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: DELETE
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 4c9fbadf-9d77-40e2-b344-243d8ebc86bf
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:46 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 825edc9c-5206-43fc-b7dc-9ae826b7bf20
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:46 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - ba7aa2d9-79bd-4801-9e8e-da1248e5c79f
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:47 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 3173a092-82a1-488d-8d8b-583a02bbca00
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:47 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 5e0dcaf1-b35e-46f9-85f0-625cea6d941a
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:48 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 03b935c0-1178-4af3-81af-91a9b8d85c9e
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:49 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - f172a260-9d65-497b-bbbf-7512fd8f059b
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:49 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - dd5ce86a-37ab-4940-920d-9031a70c5a4b
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:50 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 7703000f-95d1-45d8-a8bd-2c4e19d07e9c
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:50 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 4feddc54-71f5-4fe3-b86f-7ad666ee5b0a
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:51 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"d1ab3fb8-79e7-4539-bd58-069b4de58a2c","resourceVersion":"669573","creationTimestamp":"2024-11-05T14:51:46Z","deletionTimestamp":"2024-11-05T14:51:46Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:51:46Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 1d75857e-1118-4a74-8c8c-3863df05b1e9
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:51 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"namespaces
        \"tool-test-account-normal\" not found","reason":"NotFound","details":{"name":"tool-test-account-normal","kind":"namespaces"},"code":404}

        '
    headers:
      Audit-Id:
      - 44c9d167-6d42-4d9e-b987-84f05eaa3fcd
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '228'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:51:52 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 404
      message: Not Found
version: 1
